QGIS Application - Bug report #9106
There is no equivalent to setGrayBand for QgsSingleBandPseudoColorRenderer
2013-11-20 07:11 PM - aaron davis

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 17749
Description

| have been struggling with multiband rasters for some time. | wish to iterate through the multiband raster that | have (30 bands), with the
same colour stretch applied on each band. From the command line, since | am planningg to automate this. It used to be that, when |
wanted to render a raster in pseudocolour, there was an attribute names setGrayBandName. This no longer exists for QGIS 2.0. If you
set a raster to SingleBandGray, then there is an attribute for setGrayBand, and it refreshes after you change it and trigger a repaint of the
raster. However, there is no facility for this in the QgsSingleBandPseudoColorRenderer! Am | missing something obvious? It seems to
me that this must be a bug since, if you do this through the Layer Propoerties window, change the band, close tha window and open it
again, there is no saved band in the band dropdown selector. The default is automatically band 01.

History

#1 - 2014-06-21 04:20 AM - Jiirgen Fischer

- Category set to Rasters

#2 - 2016-10-10 04:35 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Was fixed in commit:45681e6e0a007ecb1b9b543de5b4d8ce123dd602 ( qgis 2.10)
